--AH:ScriptId=0e22b260-0fbc-499c-bd36-7961c3fe2962;255
CREATE TABLE [PromotionRequirements] (

	[Workflow_Id] INT NOT NULL,
	[Environment_Id] INT NOT NULL,
		CONSTRAINT [FK__PromotionRequirements__WorkflowSteps]
		FOREIGN KEY ([Workflow_Id],[Environment_Id])
		REFERENCES [WorkflowSteps] ([Workflow_Id],[Environment_Id]),
	[PromotionRequirement_Sequence] INT NOT NULL
		CONSTRAINT [CK__PromotionRequirements__PromotionRequirement_Sequence_Domains]
		CHECK ([PromotionRequirement_Sequence] > 0),

	CONSTRAINT [PK__PromotionRequirements]
	PRIMARY KEY ([Workflow_Id],[Environment_Id],[PromotionRequirement_Sequence]),


	[PromotionRequirement_Name] VARCHAR(MAX) NOT NULL,
	[PromotionRequirement_Description] VARCHAR(MAX) NOT NULL,
	[PromotionRequirement_Configuration] VARCHAR(MAX) NOT NULL, 
	[CreatedBy_User_Name] USERNAME NOT NULL,
	[CreatedOn_Date] DATETIME NOT NULL,
	[ModifiedBy_User_Name] USERNAME NOT NULL,
	[ModifiedOn_Date] DATETIME NOT NULL,
)

