--AH:ScriptId=aee6d403-a480-4357-8142-1de62fca993f;3025
UPDATE [Workflows]
   SET [Workflow_Name] = W.[Workflow_Name] + CAST(W.[Workflow_Id] AS VARCHAR(10))
  FROM [Workflows] W
  INNER JOIN [ApplicationWorkflows] AW ON W.[Workflow_Id] = AW.[Workflow_Id]
  INNER JOIN (
    SELECT AW.[Application_Id], W.[Workflow_Name] FROM [ApplicationWorkflows] AW
    INNER JOIN [Workflows] W ON W.[Workflow_Id] = AW.[Workflow_Id]
    GROUP BY AW.[Application_Id], W.[Workflow_Name]
    HAVING COUNT(W.[Workflow_Id]) > 1
) AW_NONUNIQUE ON AW_NONUNIQUE.[Application_Id] = AW.[Application_Id]