EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_GetApiKeys',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ApiKeys',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all API keys in the system.'
GO

IF OBJECT_ID('[ApiKeys_GetApiKeys]') IS NOT NULL DROP PROCEDURE [ApiKeys_GetApiKeys]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_GetApiKeys]
AS
BEGIN

	SET NOCOUNT ON

	SELECT * FROM [ApiKeys]

END
GO

GRANT EXECUTE ON [ApiKeys_GetApiKeys] TO [BuildMasterUser_Role]