EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Webhooks_GetWebhook',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Webhooks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a webhook.'
GO

IF OBJECT_ID('[Webhooks_GetWebhook]') IS NOT NULL DROP PROCEDURE [Webhooks_GetWebhook]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Webhooks_GetWebhook]
(
    @Webhook_Id INT = NULL,
	@Webhook_Name NVARCHAR(255) = NULL
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [Webhooks_Extended]
	 WHERE [Webhook_Id] = @Webhook_Id
	    OR [Webhook_Name] = @Webhook_Name

END
GO

GRANT EXECUTE ON [Webhooks_GetWebhook] TO [BuildMasterUser_Role]