IF OBJECT_ID('[Pipelines_UsedByApplications]') IS NOT NULL DROP VIEW [Pipelines_UsedByApplications]
GO

CREATE VIEW [Pipelines_UsedByApplications] AS

        SELECT DISTINCT R.[Application_Id], R.[Pipeline_Id]
          FROM [Releases] R
               INNER JOIN [Applications] A
                       ON R.[Application_Id] = A.[Application_Id]
                      AND A.[Active_Indicator] = 'Y'
         WHERE R.[Pipeline_Id] IS NOT NULL


GO