EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetDeploymentVariables',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DeploymentVariables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variables to be injected into a deployment execution.'
GO

IF OBJECT_ID('[Variables_GetDeploymentVariables]') IS NOT NULL DROP PROCEDURE [Variables_GetDeploymentVariables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetDeploymentVariables]
(
    @Execution_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [DeploymentVariables]
     WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Variables_GetDeploymentVariables] TO [BuildMasterUser_Role]