EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetVariableDefinition',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'VariableDefinitions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified variable definition.'
GO


IF OBJECT_ID('[Variables_GetVariableDefinition]') IS NOT NULL DROP PROCEDURE [Variables_GetVariableDefinition]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetVariableDefinition]
(
    @VariableDefinition_Id INT
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT *
      FROM [VariableDefinitions_Extended]
	 WHERE [VariableDefinition_Id] = @VariableDefinition_Id


END
GO

GRANT EXECUTE ON [Variables_GetVariableDefinition] TO [BuildMasterUser_Role]